Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

Using Ubuntu 11.10 64 bit, whenever I try apt-get [anything] or dpkg [anything] I get this error:

dpkg: error: el fichero de registros de disparadores menciona un 
      nombre de paquete ilegal `libglib2.0-0' (en el fichero
      `/usr/lib/x86_64-linux-gnu/gio/modules'):
      ambiguous package name 'libglib2.0-0' with more than one installed instance

Any ideas for this?

share|improve this question

2 Answers 2

I had same problem, after simply running apt-get upgrade. Somehow got mixed packages: i386 and amd64 at the same time.

First, I edited /var/lib/dpkg/triggers/File and removed all lines having :i386, then ran:

sudo dpkg --configure -a

This deleted libglib* and one other package (it was a replacement of lib-glib with another name).

After multiple apt-get clean, apt-get check, apt-get upgrade (I do not remember right actions now) I finnally got dpkg -l working, filtered all packages for the wrong architecture (I have 64-bit kubuntu, so all i386 are wrong for me):

dpkg -l | grep ":amd" | awk '{print "\""$2"\""}'

Modified the output to put it all that into a single line and ran:

sudo dpkg --purge <dpkg output in single line>

All i386 packages were gone and I could then proceed with my upgrade.

share|improve this answer

Check for the package performing an apt-get search, use the remove command and then re-install the library again.

share|improve this answer
    
I'm afraid it is not working... after looking for the package, I tried to remove but the same error was given. In fact, every action I try to perform via apt-get finishes with the same error –  Fernando May 7 '12 at 12:38

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.